- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
EPUBPath.h File Reference
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | libepubgen::EPUBPath
| Representation of a path in the package. More...
class | libepubgen::EPUBPath::Relative

## Namespaces
| libepubgen

## Functions
bool | libepubgen::operator== (const EPUBPath &left, const EPUBPath &right)
bool | libepubgen::operator!= (const EPUBPath &left, const EPUBPath &right)
const EPUBPath | libepubgen::operator/ (const EPUBPath &base, const EPUBPath &subpath)
const EPUBPath | libepubgen::operator/ (const EPUBPath &base, const std::string &pathComponent)
void | libepubgen::swap (EPUBPath &left, EPUBPath &right)